# Reseting Player Death Scoreboard
scoreboard players set @s gbz.player_death 0

# Counting Amount of Player Zombies
scoreboard objectives add player_zombie_count dummy
scoreboard players set player_zombie_count player_zombie_count 0
execute as @e[type=zombie,tag=player_zombie,limit=4,sort=nearest,distance=..20] run scoreboard players add player_zombie_count player_zombie_count 1

# Spawning Player Zombie
execute if score player_zombies_toggle player_zombies_toggle matches 0 if entity @e[type=#apocalypse:is_zombie,distance=..3] unless score player_zombie_count player_zombie_count matches 4.. run summon zombie ~ ~ ~ {DeathLootTable:"none:none",Team:"gbz_player_zombie",PersistenceRequired:1b,CanPickUpLoot:1b,Health:30f,IsBaby:0b,CanBreakDoors:1b,Tags:["zombie","player_zombie","no_head"],CustomName:'{"text":"Player Zombie","color":"yellow"}',attributes:[{id:generic.max_health,base:30},{id:generic.movement_speed,base:0.32},{id:generic.attack_damage,base:6}]}

# Giving Player Zombie its Head
execute if score player_zombies_toggle player_zombies_toggle matches 0 if entity @e[type=#apocalypse:is_zombie,distance=..3] unless score player_zombie_count player_zombie_count matches 4.. run loot replace entity @e[type=zombie,tag=no_head,distance=..2] armor.head loot apocalypse:player_head

# Setting Player Zombie Name to be Dead Player Name
execute if score player_zombies_toggle player_zombies_toggle matches 0 if entity @e[type=#apocalypse:is_zombie,distance=..3] unless score player_zombie_count player_zombie_count matches 4.. run setblock ~ -63 ~ oak_sign{front_text:{messages:['{"nbt":"ArmorItems[3].components.minecraft:profile.name","entity":"@e[type=zombie,limit=1,tag=no_head,sort=nearest]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
execute if score player_zombies_toggle player_zombies_toggle matches 0 if entity @e[type=#apocalypse:is_zombie,distance=..3] unless score player_zombie_count player_zombie_count matches 4.. run data modify entity @e[type=zombie,limit=1,tag=no_head] CustomName set from block ~ -63 ~ front_text.messages[0]
setblock ~ -63 ~ bedrock

# Making Sure This Zombie won't get Stuff Again in the Future
execute if score player_zombies_toggle player_zombies_toggle matches 0 if entity @e[type=#apocalypse:is_zombie,distance=..3] unless score player_zombie_count player_zombie_count matches 4.. run tag @e[type=zombie,tag=no_head,distance=..2] remove no_head





