## Custom Mob Spawning
# Zombie Spawning
execute as @e[type=#apocalypse:zombie_replaceable,tag=!zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/zombie/spawn_zombie

execute as @e[type=drowned,tag=!zombie,sort=random] at @s run function apocalypse:spawn/drowned/spawn_drowned_conversion
execute as @e[type=#apocalypse:drowned_replaceable,tag=!zombie,sort=random] at @s run function apocalypse:spawn/drowned/spawn_drowned_natural

execute unless score animal_toggle animal_toggle matches 1 run execute as @e[type=chicken,tag=!zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/animal/spawn_chicken
execute unless score animal_toggle animal_toggle matches 1 run execute as @e[type=pig,tag=!zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/animal/spawn_pig
execute unless score animal_toggle animal_toggle matches 1 run execute as @e[type=sheep,tag=!zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/animal/spawn_sheep
execute unless score animal_toggle animal_toggle matches 1 run execute as @e[type=cow,tag=!zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/animal/spawn_cow
execute unless score animal_toggle animal_toggle matches 1 run execute as @e[type=horse,tag=!zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/animal/spawn_horse

# Illager Skirmisher Spawning
execute if score gbz.illager_spawner gbz.illager_spawner matches 0 run function apocalypse:spawn/skirmisher/can_spawn
scoreboard players remove gbz.illager_spawner gbz.illager_spawner 1


## Zombie Functionality
# Shooter Zombie
scoreboard players remove @e[type=#apocalypse:is_zombie,scores={gbz.ability_timer=1..}] gbz.ability_timer 1
execute as @e[type=#apocalypse:is_zombie,tag=shooter,scores={gbz.ability_timer=0}] at @s if entity @e[type=#apocalypse:zombie_targets,distance=..5] anchored eyes facing entity @e[type=#apocalypse:zombie_targets,distance=..5,limit=1,sort=nearest] eyes run function apocalypse:zombie_abilities/projectile/shoot
execute as @e[type=zombie,tag=acid_spitter] at @s if entity @e[type=#apocalypse:zombie_targets,distance=..7] run effect give @s slowness 1 4 true
execute as @e[type=zombie,tag=acid_spewer] at @s if entity @e[type=#apocalypse:zombie_targets,distance=..4] run effect give @s slowness 1 2 true

# Builder and Miner
execute as @e[type=zombie,tag=modifier,scores={gbz.ability_timer=0}] at @s if entity @e[type=player,distance=..48] run function apocalypse:zombie_abilities/get_direction

# Nurse Zombie
execute as @e[type=zombie,tag=nurse,scores={gbz.ability_timer=0}] at @s if entity @e[type=player,distance=..26] run function apocalypse:zombie_abilities/nurse/nurse

#Animal Zombie
execute as @e[type=#apocalypse:zombie_animal_total] at @s run function apocalypse:zombie_abilities/kill_brain

#Water Zombie
execute as @e[type=drowned,tag=water_zombie,limit=20,sort=random] at @s if block ~ ~ ~ #apocalypse:water run attribute @s generic.movement_speed base set 0.85
execute as @e[type=drowned,tag=water_zombie,limit=20,sort=random] at @s unless block ~ ~ ~ #apocalypse:water run attribute @s generic.movement_speed base set 0.3

#Player Zombie
execute as @a[scores={gbz.player_death=1..}] at @s run function apocalypse:spawn/player_zombie

#Zombie Fire Weakness
execute as @e[type=zombie,predicate=apocalypse:is_burning,tag=!scorched] at @s run function apocalypse:zombie_on_fire



